## Index

### Functions

- fetchAll

## Functions

### fetchAll

- fetchAll<T>(request: ScanRequest<T> | QueryRequest<T>, startKey?: DynamoDB.Key): Promise<T[]>

- - Defined in helper/fetch-all.function.ts:9

  When we cant load all the items of a table with one request, we will fetch as long as there is more data available. This can be used with scan and query requests.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### request: ScanRequest<T> | QueryRequest<T>

  - ##### Optional startKey: DynamoDB.Key

  #### Returns Promise<T[]>

Generated using TypeDoc